- content_for :navigation do
  .menu-wrapper= render_navigation

.span-24.last
  =form_for @search_invoice ,:url=>{:action=>:index}, :html => {:id => :search_invoice} do |f|
    %p
      -if is_consultant?
        =f.label :company
        =f.text_field :valuation_firm, data: {autocomplete_source: ValuationFirm.invoice_search},:id => :valuation_firm
        =f.label :invoice_number
        =f.text_field :invoice_number

      =f.label :from
      =f.text_field :start_date,:value => date_ddmmyyyy(@search_invoice.start_date)
      =f.label :to
      =f.text_field :end_date,:value => date_ddmmyyyy(@search_invoice.end_date)
      =f.select :invoice_status_id, Invoicing::InvoiceStatus.all.collect {|i| [ i.value, i.id ]},{:include_blank => "-- all --"}
      = submit_tag "Search", :name => nil
      = submit_tag "Reset", :name => "reset"
      = quick_link(Date.today - 2.months)
      = quick_link(Date.today - 1.month)
      = quick_link(Date.today)

.span-24.last
  %table.projects#invoices{:style=>"margin-bottom: 0.4em;"}
    %thead
      %tr
        %th.fst Valuation Firm
        %th Invoice Number
        %th Invoice Date
        %th Creation Date
        - if is_consultant?
          %th Status
        %th Amount
        - if is_consultant?
          %th Pages
          %th Ref
          %th.lst{:style=>"width:250px;"} Action
    %tbody
      - @invoices.each do |invoice|
        %tr.short[invoice.valuation_firm]
          %td.with-triangle
            %span= link_to invoice.valuation_firm.company_name, main_app.edit_valuation_firm_path(invoice.valuation_firm.id)
          %td= invoice.display_invoice_number
          %td= date_ddmmyyyy(invoice.invoiced_at)
          %td= date_ddmmyyyy(invoice.created_at)
          - if is_consultant?
            %td= (invoice.available_statuses.count > 1) ? select_tag("status_change_#{invoice.id}",
              options_from_collection_for_select(invoice.available_statuses, :id, :value, invoice.invoice_status_id),
              { 'class' => 'status_selector', 'data-invoice_id' => invoice.id }): invoice.status
          %td= invoice.total_amount
          %td= link_to invoice.multiple_pages_link, invoices_toggle_pages_path(invoice), :method => :post
          - if is_consultant?
            %td= invoice.valuation_firm.invoice_ref
          %td{:style=>"width:220px;"}
            |
            %span= link_to 'Preview ',preview_invoice_path(invoice),'data-popup'=>true
            - if is_consultant?
              |
              - if invoice.can_be_sent?
                %span= link_to 'Send to me ',send_single_invoice_path(invoice)
                |
                %span= link_to 'Send to client', send_single_to_client_invoice_path(invoice), :confirm => 'Are you sure?'
                |
              - if invoice.can_credit?
                %span= link_to 'Credit ',credit_invoice_path(invoice)
              -if !invoice.address_complete?
                %span= link_to 'Add Address', main_app.valuation_firms_return_to_invoice_path(invoice.valuation_firm.id,true)
                |
            = "|" unless is_consultant?

        %tr.details.hidden
          %td{ :colspan => 7}
            = render partial: 'invoicing/shared/invoice_items', locals: {:invoice => invoice}
            -if is_consultant?
              %span= (invoice.can_add_items? ? link_to('Add Invoice Item', new_invoice_item_for_invoice_path(invoice.id), {'class' => 'add_invoice_item' }) : '')

- if is_consultant?
  .span-3.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Exported', index_invoices_path(:format => :xls), :style=>"padding:0 0 0 5px;color:#FFF;"

  .span-4.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Check Invoices', check_invoices_path(@search_invoice), :style=>"padding:0 0 0 5px;color:#FFF;", :method => :post, :confirm => 'Are you sure?'
  .span-3.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Ready to Send', invoices_review_send_to_client_path, :style=>"padding:0 0 0 5px;color:#FFF;"

  .span-4.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Send All to Me', send_all_invoices_path("current"), :style=>"padding:0 0 0 5px;color:#FFF;", :method => :post, :confirm => 'Are you sure? All ready to send invoices will be sent to you.'

  .span-3.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Check Projects', invoices_check_projects_path, :style=>"padding:0 0 0 5px;color:#FFF;"

  .span-4.footer{:style=>"padding:5px 8px 5px 0;margin-right:2px;"}
    =link_to 'Mark All Ready', invoices_mark_ready_path(@search_invoice), :style=>"padding:0 0 0 5px;color:#FFF;", :method => :post, :confirm => 'Are you sure? All invoice proposals will be marked ready to send.'

  .span-3.footer.last{:style=>"padding:5px 0 5px 0;margin-right:0;"}
    =link_to 'Spreadsheet', agresso_path, :style=>"padding:0 0 0 5px;color:#FFF;"

-else
  .span-24.footer.last{:style=>"padding:5px 0 5px 0;"}
    &nbsp;
